
cm = 1.e-2;			// cm in meters
size = 0.1 * cm;

h  = 2 * cm;			// height
w  = 2 * cm;			// width
hs = 0.2 * cm;			// height of source
rn = 0.2 * cm;			// radius of node

t  =  h / 2;
l  = -w / 2;
r  =  w / 2;
b  = -h / 2;
ts =  hs / 2;
bs = -hs / 2;
dh = 0.05 * h;
//dw = 0.1 * w;
ds = 0.10 * hs;
dn = 0.25 * rn;			// Density of points in the node


Point(1) = {  l,  t, 0, dh};
Point(2) = {  r,  t, 0, dh};
Point(3) = {  r,  b, 0, dh};
Point(4) = {  l,  b, 0, dh};
Point(5) = {  l, bs, 0, ds};
Point(6) = {  l, ts, 0, ds};
Point(7) = { rn,  0, 0, dn};	// Boundary of node clockwise from right
Point(8) = {  0,-rn, 0, dn};
Point(9) = {-rn,  0, 0, dn};
Point(10)= {  0, rn, 0, dn};
Point(20)= {0,0,0,dn};		// Center for circular arcs


Line  (1) = { 1, 2};
Line  (2) = { 2, 3};
Line  (3) = { 3, 4};
Line  (4) = { 4, 5};
Line  (5) = { 5, 6};
Line  (6) = { 6, 1};
Circle(7) = { 7,20,8};
Circle(8) = { 8,20,9};
Circle(9) = { 9,20,10};
Circle(10)= {10,20,7};


Line Loop(21) = {1, 2, 3, 4, 5, 6};
Line Loop(22) = {7,8,9,10};
Plane Surface(31) = {21};
Plane Surface(32) = {22};

/* entree flux */
/* pastille */
/* contact fixe */
/* contact fixe ou air */

Physical Line(101) = { 6, 1,2,3,4}; // Outer edge of body
Physical Line(102) = { 5};   	// source edge
Physical Surface(1001) = {31, 32};  // Region exterior to node
Physical Surface(1002) = {32};  // Circular node
